org.apache.ignite.internal.processors.platform.client

## Class ClientMessageParser

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.client.ClientMessageParser

All Implemented Interfaces:
  ClientListenerMessageParser

    public class ClientMessageParser
    extends Object
    implements ClientListenerMessageParser

Thin client message parser.

### Method Summary

All Methods Instance Methods Concrete Methods
`ClientListenerRequest` `decode(BinaryRawReaderEx reader)` Decodes the request.
`ClientListenerRequest` `decode(byte[] msg)` Decode request from byte array.
`byte[]` `encode(ClientListenerResponse resp)` Encode response to byte array.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### decode

    public ClientListenerRequest decode(byte[] msg)

Decode request from byte array.

Specified by:
  `decode` in interface `ClientListenerMessageParser`
Parameters:
  `msg` - Message.
Returns:
  Request.

#### decode

    public ClientListenerRequest decode(BinaryRawReaderEx reader)

Decodes the request.

Parameters:
  `reader` - Reader.
Returns:
  Request.

#### encode

    public byte[] encode(ClientListenerResponse resp)

Encode response to byte array.

Specified by:
  `encode` in interface `ClientListenerMessageParser`
Parameters:
  `resp` - Response.
Returns:
  Message.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019